Rozdział 4. Często Zadawane Pytania

Spis treści

Instalacja
Użytkowanie

Instalacja

1. Skąd ściągnąć źródła EKG2 ?
2. Plugin gg/irca/jabbera mi nie działa, co zrobić ?
3. Mam wersję CVS EKG2 ale przy wykonywaniu ./autogen.sh pojawiaja mi się błedy o brakującym libtoolize, libtool, aclocal, autoheader, automake, autoconf, autom4te. Co z tym zrobic?
4. W systemie BSD, przy wywołaniu ./configure jak i ./autogen.sh pojawia mi się, iż libgadu czy też expat (biblioteka jabbera) sa wyłaczone (disabled). Co robić?
5. W systemie BSD przy kompilacji pokazuje mi się błąd o braku libintl.h z pakietu gettext.h:

1.

Skąd ściągnąć źródła EKG2 ?

Zapraszam na /http://ekg2.org/ do dzialu Pliki i stamtąd można ściagać codzinne snapshoty. Można również skorzystać z CVS'a który pozwala być na bieżąco z aktualizacjami (np. jak sie okaże że 10 minut temu naprawiono błąd powodujące Segmentation Fault naszego EKG2). Sposób postępowania jest oczywisty bo wszystko ładnie zostało opisane na stronce, więc nie będę powielał.

2.

Plugin gg/irca/jabbera mi nie działa, co zrobić ?

Po pierwsze sprawdź czy komenda /plugins pokazuje odpowiedni plugin, jeśli tak, to coś kręcisz ;> Jeśli nie spróbuj /plugins +nazwawtyczki. Jeśli nie podawałeś opcji --prefix do ./configure czy ./autogen.sh to sprawdź, czy w katalogu /usr/local/lib/ekg2/plugins znajdują się pliki *.so i *.la dla odpowiedniego pluginu (np: gg.so, gg.la) Jeśli nie ma, to albo odpowiednie pluginy nie zostały skompilowane, albo coś ze ścieżkami na tym systemie jest nie tak. Możesz też spróbować dodać (jako root oczywiście) do /etc/ld.so.conf ścieżkę: /usr/local/lib następnie wydać komendę ldconfig.

3.

Mam wersję CVS EKG2 ale przy wykonywaniu ./autogen.sh pojawiaja mi się błedy o brakującym libtoolize, libtool, aclocal, autoheader, automake, autoconf, autom4te. Co z tym zrobic?

Wpierw upewnij się, że masz zainstalowane w systemie najnowsze wersje tychże narzędzi (proponuje przejrzeć zawartość /usr/ports/devel w ich poszukiwaniu a jeśli nie umiesz instalować z portsów to polecam man ports). Jeśli pomimo tego, iż masz zainstalowane te narzędzia pojawiają Ci się błedy oznacza to, iż nie widzi ich w systemie. Jest to zapewne spowodowane tym, że nie ma symlinków odnoszących sie do w/w narzędzi. Wszystkie one znajdują się standardowo w katalogu /usr/local/bin i proponuje porobić symlinki do tychże narzędzi. Np. ln -s libtoolize19 libtoolize i tak po kolei dla wszystkich innych narzędzi. A najlepiej, na przyszłość, dla wszystkich narzędzi zakończonych liczbami a nie mających symlinków do wersji bez liczb, a w szczególności dla tych wszystkich auto-narzędzi.

4.

W systemie BSD, przy wywołaniu ./configure jak i ./autogen.sh pojawia mi się, iż libgadu czy też expat (biblioteka jabbera) sa wyłaczone (disabled). Co robić?

Jako, że FreeBSD ma inną lokalizację plików bibliotecznych czasem, aczkolwiek nie zawsze, nie widzi odpowiednich bibliotek. Polecam wtedy dodac opcje --with-libgadu=/usr/local jak również --with-expat=/usr/local. Oczywiście powyższe tzreba mieć w systemie skompilowane jeśli ich nie posiadamy.


$ ./autogen.sh --with-libgadu=/usr/local --with-expat=/usr/local 
$ ./configure --with-libgadu=/usr/local --with-expat=/usr/local

               

libgadu znajdziemy na stronie http://dev.null.pl/ekg/ (libgadu powinniśmy oczywiście skompilować z opcją --enable-shared).

expat znajdziemy w oficjalnym drzewie portów lub też, w najnowszych wersjach FreeBSD (FreeBSD 5.3.x), w źródłach systemu.

5.

W systemie BSD przy kompilacji pokazuje mi się błąd o braku libintl.h z pakietu gettext.h:


gcc -DHAVE_CONFIG_H -I. -I. -I../.. -I../../libltdl -g -O2 -Wall -MT main.lo -M
D -MP -MF .deps/main.Tpo -c main.c  -fPIC -DPIC -o .libs/main.o
In file included from ../../ekg/themes.h:27,
                 from main.c:41:
../../gettext.h:26:22: libintl.h: No such file or directory

               

gettext jest zainstalowany w systemie. Co robić?

Niestety ale znowu jest to spowodowane tym, iż BSD mają nieco inne położenie bibliotek systemowych niż linuksy. Najprostszym rozwiązaniem jest dopisać przy ./autogen.sh lub ./configure opcji --with-libintl-prefix=/usr/local/include


$ ./autogen.sh --with-libintl-prefix=/usr/local/include
$ ./configure --with-libintl-prefix=/usr/local/include